Subject: bug#50606: Add support for other formats of Guix channels

From: EuAndreh <[email-masked]>
Date: Thu, 16 Sep 2021 14:48:09 -0300

In this model, downgrade prevention would a) be inexistant or b) require work
from the upstream tarball provider, to produce tarballs with metadata files that
could provide such data.

Authentication could be done by relying on TLS, or requiring a signature file.